QGIS Application - Bug report #5241
WFS client does not work anymore with Geoserver
2012-03-26 04:47 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14976
Description

Recently there have been reports of issues with WFS/Geoserver (there is another ticket that report a freezewith geoserver/wifs-t but the
user can't post a public URL). | don't use geoserver myself, but for example this is a server

http://giswebservices.massgis.state.ma.us/geoserver/wfs

that is been told it was working with older QGIS versions (just tested, it works with qgis 1.6) and that now does not work with qgis
1.7.4/master (I also tested it).

Related issues:

Duplicated by QGIS Application - Bug report # 5210: QGIS freezes when editing... Closed 2012-03-20
History

#1 - 2012-04-04 03:59 PM - Bill Clay

- File bug5241.patch added

This error was introduced by the patch for bug 4604, which sends a DescribeFeatureType request that contains extraneous query parameters inherited
from the layer's GetFeature URI. The WFS services with which the fix was originally tested silently ignore the extraneous parameters, but bugs 5241 and
5079 show that some WFS services reject such a query.

Patch for version 1.7.4 attached.

#2 - 2012-04-05 01:31 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes
- Assignee set to Marco Hugentobler

Thanks Bill!

#3 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#4 - 2012-12-13 12:29 PM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression

This is a regression, it used to work until 1.6.
http://giswebservices.massgis.state.ma.us/geoserver/wfs

#5 - 2012-12-13 01:49 PM - Giovanni Manghi

- Subject changed from Issues with Geoserver/WFS in 1.7.4/master (works in qgis 1.6) to WFS client does not work anymore with Geoserver
#6 - 2013-02-21 02:46 PM - Marco Hugentobler
- Status changed from Open to Closed

Should be fixed in master branch d190b2316b25b6c30e3416a61cf5542d1fd6e227

Files
bug5241.patch 1.02 KB 2012-04-04 Bill Clay
